    <template>
        <div class="carss">
            <div class="title">
                <h1>
                    Інформація про {{this.searchnumb}}
                </h1>
            </div>
             <div class="car" v-if ="(searchResult !== [])" v-for="(item) in searchResult" :key="item.ID">
                <div>
                    <h2 class="car-title">Автомобіль вкрадений</h2>
                        <h3>Бренд та модель: <label>{{item.BRAND}} </label></h3>
                        <h3>Колір: <label>{{item.COLOR}}</label></h3>
                        <h3>Держ. номер автомобіля: <label>{{item.VEHICLENUMBER}}</label></h3>
                        <h3>Vin номер: <label>{{item.BODYNUMBER}}</label></h3>
                    <hr/>

                </div>
            </div>
            <div class="notFound" v-if="(searchResult[0] === undefined)">
                <h3> Транспортний засіб з номером {{this.searchnumb}}, не є вкраденим</h3>
                <h3> Або в данний момент його немає в базі</h3>
            </div>  

            <div>
                <router-link  v-bind:to="'/'" >
                    <input type="button" value="До сторінки пошуку" class="btn-find" />
                </router-link>
            </div>
            
            
            <h3 v-if="user == null" >Для зберігання Вашого пошуку зареєструйтесь</h3>
            
            <router-link v-bind:to="'/registr/'">
            <input v-if="user == null" type="button" value="Реєстрація"  class="btn-out" />
            </router-link>
            <input v-if="user != null" type="button" @click="out" value="Вийти"  class="btn-out" />
            
        </div>
    </template>

    <script>
    import Vue from 'vue'
    import axios from 'axios'

    export default {
        
    props: {
            searchnumb: '',
       },
    data: function () {
        
        return {
            items: [],
            user: this.$store.getters.getUser,
            searchResult: [],
        };
    },
    mounted: function () {
        Vue.axios.get("http://localhost:3000/cars/"+ this.searchnumb)
            .then((response) => {
                this.searchResult = response.data;
                this.searchnumb = this.$route.params.searchnumb;
            });
    },
    methods: {
        out(){
            this.$store.commit('setUser', null);
            this.$router.push('/login/');
        },
        onLoad: function () {           
        },
    },
    
}
</script>
    